ActiveMQJMSBridgeLogger (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.bridge

## Interface ActiveMQJMSBridgeLogger

- All Superinterfaces:
    org.jboss.logging.BasicLogger

      @MessageLogger(projectCode="AMQ")
      public interface ActiveMQJMSBridgeLogger
      extends org.jboss.logging.BasicLogger

  Logger Code 34 each message id must be 6 digits long starting with 12, the 3rd digit donates the level so INF0 1 WARN 2 DEBUG 3 ERROR 4 TRACE 5 FATAL 6 so an INFO message would be 341000 to 341999

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ActiveMQJMSBridgeLogger` | `LOGGER` The default logger.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bridgeAckError(Exception e)`
    `void` | `bridgeConnected()`
    `void` | `bridgeConnectError(Exception e)`
    `void` | `bridgeFailure(Exception e)`
    `void` | `bridgeNotStarted()`
    `void` | `bridgeReconnected()`
    `void` | `bridgeRetry(long failureRetryInterval)`
    `void` | `errorBridgeAlreadyStarted()`
    `void` | `errorConnectingBridge()`
    `void` | `errorStartingBridge()`
    `void` | `errorUnregisteringBridge(ObjectName objectName)`
    `void` | `failedToSetUpBridge(long failureRetryInterval)`
    `void` | `jmsBridgeSrcConnectError(Exception e)`
    `void` | `jmsBridgeTransactionManagerMissing(QualityOfServiceMode qosMode)`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Field Detail

    - #### LOGGER

          static final ActiveMQJMSBridgeLogger LOGGER

      The default logger.

  - ### Method Detail

    - #### failedToSetUpBridge

          @LogMessage(level=INFO)
           @Message(id=341000,
                   value="Failed to set up JMS bridge connections. Most probably the source or target servers are unavailable. Will retry after a pause of {0} ms",
                   format=MESSAGE_FORMAT)
          void failedToSetUpBridge(long failureRetryInterval)

    - #### bridgeReconnected

          @LogMessage(level=INFO)
           @Message(id=341001,
                   value="JMS Bridge Succeeded in reconnecting to servers",
                   format=MESSAGE_FORMAT)
          void bridgeReconnected()

    - #### bridgeConnected

          @LogMessage(level=INFO)
           @Message(id=341002,
                   value="Succeeded in connecting to servers",
                   format=MESSAGE_FORMAT)
          void bridgeConnected()

    - #### errorBridgeAlreadyStarted

          @LogMessage(level=WARN)
           @Message(id=342000,
                   value="Attempt to start JMS Bridge, but is already started",
                   format=MESSAGE_FORMAT)
          void errorBridgeAlreadyStarted()

    - #### errorStartingBridge

          @LogMessage(level=WARN)
           @Message(id=342001,
                   value="Failed to start JMS Bridge",
                   format=MESSAGE_FORMAT)
          void errorStartingBridge()

    - #### errorUnregisteringBridge

          @LogMessage(level=WARN)
           @Message(id=342002,
                   value="Failed to unregisted JMS Bridge {0}",
                   format=MESSAGE_FORMAT)
          void errorUnregisteringBridge(ObjectName objectName)

    - #### errorConnectingBridge

          @LogMessage(level=WARN)
           @Message(id=342003,
                   value="JMS Bridge unable to set up connections, bridge will be stopped",
                   format=MESSAGE_FORMAT)
          void errorConnectingBridge()

    - #### bridgeRetry

          @LogMessage(level=WARN)
           @Message(id=342004,
                   value="JMS Bridge Will retry after a pause of {0} ms",
                   format=MESSAGE_FORMAT)
          void bridgeRetry(long failureRetryInterval)

    - #### bridgeNotStarted

          @LogMessage(level=WARN)
           @Message(id=342005,
                   value="JMS Bridge unable to set up connections, bridge will not be started",
                   format=MESSAGE_FORMAT)
          void bridgeNotStarted()

    - #### bridgeFailure

          @LogMessage(level=WARN)
           @Message(id=342006,
                   value="Detected failure on bridge connection",
                   format=MESSAGE_FORMAT)
          void bridgeFailure(@Cause
                                                                                                                                                                  Exception e)

    - #### bridgeAckError

          @LogMessage(level=WARN)
           @Message(id=342009,
                   value="JMS Bridge failed to send + acknowledge batch, closing JMS objects",
                   format=MESSAGE_FORMAT)
          void bridgeAckError(@Cause
                                                                                                                                                                                                Exception e)

    - #### bridgeConnectError

          @LogMessage(level=WARN)
           @Message(id=342010,
                   value="Failed to connect JMS Bridge",
                   format=MESSAGE_FORMAT)
          void bridgeConnectError(@Cause
                                                                                                                                                              Exception e)

    - #### jmsBridgeSrcConnectError

          @LogMessage(level=ERROR)
           @Message(id=344001,
                   value="Failed to start source connection",
                   format=MESSAGE_FORMAT)
          void jmsBridgeSrcConnectError(@Cause
                                                                                                                                                                          Exception e)

    - #### jmsBridgeTransactionManagerMissing

          @LogMessage(level=ERROR)
           @Message(id=344002,
                   value="Failed to start JMS Bridge.  QoS Mode: {0} requires a Transaction Manager, none found",
                   format=MESSAGE_FORMAT)
          void jmsBridgeTransactionManagerMissing(QualityOfServiceMode qosMode)

Copyright © 2015. All rights reserved.